## org.apache.myfaces.custom.tree2
Class TreeNodeBase

    java.lang.Object
      org.apache.myfaces.custom.tree2.TreeNodeBase

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable, TreeNode

public class TreeNodeBase
extends java.lang.Object
implements TreeNode, java.lang.Comparable

See Also:
  Serialized Form

Constructor Summary
`TreeNodeBase()`
`TreeNodeBase(java.lang.String type, java.lang.String description, boolean leaf)`
`TreeNodeBase(java.lang.String type, java.lang.String description, java.lang.String identifier, boolean leaf)`

Method Summary
`int` `compareTo(java.lang.Object obj)`
`int` `getChildCount()` Gets the number of children this node has.
`java.util.List` `getChildren()`
`java.lang.String` `getDescription()`
`java.lang.String` `getIdentifier()` Gets the identifier asociated with the `TreeNode`.
`java.lang.String` `getType()` Gets the type of `TreeNode`.
`boolean` `isLeaf()`
`void` `setDescription(java.lang.String description)`
`void` `setIdentifier(java.lang.String identifier)` Sets the identifier associated with the `TreeNode`.
`void` `setLeaf(boolean leaf)`
`void` `setType(java.lang.String type)` Sets the type of `TreeNode`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeNodeBase

    public TreeNodeBase()

### TreeNodeBase

    public TreeNodeBase(java.lang.String type,
                        java.lang.String description,
                        boolean leaf)

### TreeNodeBase

    public TreeNodeBase(java.lang.String type,
                        java.lang.String description,
                        java.lang.String identifier,
                        boolean leaf)

Method Detail

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### setLeaf

    public void setLeaf(boolean leaf)

  Specified by:
    `setLeaf` in interface `TreeNode`

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `TreeNode`

### getType

    public java.lang.String getType()

  Description copied from interface: `TreeNode`
  Gets the type of `TreeNode`.

  Specified by:
    `getType` in interface `TreeNode`
  Returns:
    The node type

### setType

    public void setType(java.lang.String type)

  Description copied from interface: `TreeNode`
  Sets the type of `TreeNode`.

  Specified by:
    `setType` in interface `TreeNode`
  Parameters:
    `type` - The node type

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `TreeNode`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `TreeNode`

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

  Description copied from interface: `TreeNode`
  Sets the identifier associated with the `TreeNode`.

  Specified by:
    `setIdentifier` in interface `TreeNode`
  Parameters:
    `identifier` - The identifier

### getIdentifier

    public java.lang.String getIdentifier()

  Description copied from interface: `TreeNode`
  Gets the identifier asociated with the `TreeNode`.

  Specified by:
    `getIdentifier` in interface `TreeNode`
  Returns:
    the identifier

### getChildCount

    public int getChildCount()

  Description copied from interface: `TreeNode`
  Gets the number of children this node has.

  Specified by:
    `getChildCount` in interface `TreeNode`
  Returns:
    the number of children

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`